resources:
  - type: js
    url: /local/custom_ui/state-card-custom-cover.js
  - type: js
    url: /local/custom_ui/lovelace-toggle-lock-entity-row/toggle-lock-entity-row.js
  - type: module
    url: /local/custom_ui/mini-graph-card-bundle.js?v=0.4.3
  - type: module
    url: /local/custom_ui/mini-media-player-bundle.js?v=1.2.0
  - type: js
    url: /local/custom_ui/room-glance-card.js
title: Home
views:
  - cards:
      - aspect_ratio: 16x9
        entities:
          - group.living_area
        image: /local/img/living_area_16_9.jpg
        scenes:
          - color: '#f07a1d'
            name: Orange
            scene: scene.wohnbereich_orange
          - color: '#2eacd7'
            name: Blau
            scene: scene.wohnbereich_blau_grun
          - color: '#9f9cac'
            icon: 'mdi:weather-night'
            name: Kuscheln
            scene: scene.wohnbereich_kuscheln
        type: 'custom:room-glance-card'
      - entities:
          - entity: light.kuche_deckenlampe
            name: Decke Küche
          - entity: light.esszimmer_deckenlampe_mitte
            name: Decke Esszimmer Mitte
          - entity: light.esszimmer_deckenlampe_west
            name: Decke Esszimmer
          - type: divider
          - entity: light.kuche_links
            name: Küche LED links
          - entity: light.kuche_rechts
            name: Küche LED rechts
          - entity: light.kuche_vorne
            name: Küche LED vorne
          - type: divider
          - entity: cover.kuche_fenster_rollo
            name: Küche
            type: 'custom:state-card-custom-cover'
          - entity: cover.esszimmer_fenster_rollo
            name: Esszimmer
            type: 'custom:state-card-custom-cover'
        show_header_toggle: true
        title: Küche/Esszimmer
        type: entities
      - entities:
          - entity: light.wohnzimmer_deckenlampe
            name: Decke
          - type: divider
          - entity: light.wohnzimmer_kugel
            name: Kugel
          - entity: light.wohnzimmer_regal_links
            name: Regal links
          - entity: light.wohnzimmer_regal_rechts
            name: Regal rechts
          - type: divider
          - entity: light.wohnzimmer_stehlampe_oben
            name: Stehlampe oben
          - entity: light.wohnzimmer_stehlampe
            name: Stehlampe unten
          - type: divider
          - entity: cover.wohnzimmer_fenster_rollo
            name: Fenster
            type: 'custom:state-card-custom-cover'
          - entity: cover.wohnzimmer_terrassentur_rollo
            name: Tür
            type: 'custom:state-card-custom-cover'
        show_header_toggle: true
        title: Wohnzimmer
        type: entities
      - entities:
          - entity: light.gang_licht
            name: Licht
          - entity: light.gang_bogen
            name: Bogen
        show_header_toggle: true
        title: Gang
        type: entities
    icon: 'mdi:sofa'
    title: Wohnbereich
  - cards:
      - aspect_ratio: 16x9
        entities:
          - group.bedroom
        image: /local/img/bedroom_16_9.jpg
        scenes:
          - color: '#ccc'
            icon: 'mdi:sleep'
            name: Dunkel
            scene: scene.schlafzimmer_ganz_dunkel
          - color: '#f07a1d'
            name: Orange
            scene: scene.schlafzimmer_orange
          - color: '#fdef56'
            name: Hell
            scene: scene.schlafzimmer_ganz_hell
          - color: '#2eacd7'
            name: Blau
            scene: scene.schlafzimmer_blau
        type: 'custom:room-glance-card'
      - card:
          title: Lichter die noch an sind
          type: entities
        show_empty: false
        entities:
          - entity: group.light_hallway
            icon: 'mdi:door-closed'
            name: Gang
          - entity: group.light_living_area
            icon: 'mdi:sofa'
            name: Wohnzimmer/Esszimmer
          - entity: group.light_office_martin
            icon: 'mdi:monitor-multiple'
            name: Martins Büro
        state_filter:
          - 'on'
        type: entity-filter
    icon: 'mdi:bed-empty'
    title: Schlafzimmer
  - title: Martins Büro
    icon: 'mdi:monitor-multiple'
    cards:
      - aspect_ratio: 16x9
        entities:
          - group.office_martin
        image: /local/img/office_martin_16_9.jpg
        name: Arbeitszimmer
        scenes:
          - color: '#f07a1d'
            name: Orange
            scene: scene.arbeitszimmer_martin_orange
          - color: '#2eacd7'
            name: Blau
            scene: scene.arbeitszimmer_martin_blau_grun
          - color: '#fff'
            name: Hell
            scene: scene.arbeitszimmer_martin_hell
        type: 'custom:room-glance-card'
      - entities:
          - entity: light.arbeitszimmer_martin_deckenlampe
            name: Deckenlampe
          - entity: light.arbeitszimmer_martin
            name: Fluter
          - entity: light.arbeitszimmer_martin_oben
            name: Stehlampe Oben
          - entity: light.arbeitszimmer_martin_unten
            name: Stehlampe Unten
          - entity: cover.arbeitszimmer_martin_rollo
            name: Rollo Arbeitszimmer
            type: 'custom:state-card-custom-cover'
          - entity: binary_sensor.arbeitszimmer_martin_bewegungsmelder_bewegung
            name: Bewegung
            secondary_info: last-changed
            format: relative
          - entity: sensor.arbeitszimmer_martin_bewegungsmelder_helligkeit
            name: Helligkeit
        show_header_toggle: false
        type: entities
  - cards:
      - entities:
          - entity: sensor.trockner_verbrauch
            name: Trockner aktuell
          - entity: sensor.trockner_verbrauch_summe
            name: Trockner insgesamt
          - entity: sensor.trockner_betriebsstunden
            name: Trockner Stunden
          - type: divider
          - entity: sensor.waschmaschine_verbrauch
            name: Waschmaschine aktuell
          - entity: sensor.waschmaschine_verbrauch_summe
            name: Waschmaschine insgesamt
          - entity: sensor.waschmaschine_betriebsstunden
            name: Waschmaschine Stunden
        show_header_toggle: false
        title: Verbrauch
        type: entities
      - entities:
          - entity: switch.trockner
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.waschmaschine
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.spulmaschine
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.backofen
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.herd_phase_1
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.herd_phase_2
            type: 'custom:toggle-lock-entity-row'
          - entity: switch.herd_phase_3
            type: 'custom:toggle-lock-entity-row'
        show_header_toggle: false
        title: Sicherheitsabschaltung
        type: entities
      - animate: true
        entities:
          - sensor.waschmaschine_verbrauch
          - sensor.trockner_verbrauch
        name: Waschen & Trocknen
        type: 'custom:mini-graph-card'
      - animate: true
        entities:
          - entity: sensor.spulmaschine_verbrauch
            name: Spühlmaschine
          - entity: sensor.backofen_verbrauch
            name: Backofen
          - entity: sensor.herd_phase_1_verbrauch
            name: Herd P1
          - entity: sensor.herd_phase_2_verbrauch
            name: Herd P2
          - entity: sensor.herd_phase_3_verbrauch
            name: Herd P3
        hours_to_show: 8
        name: Küche
        points_per_hour: 4
        type: 'custom:mini-graph-card'
      - animate: true
        entities:
          - entity: sensor.fritz_box_7490_kbyte_sec_received
            name: Down
          - entity: sensor.fritz_box_7490_kbyte_sec_sent
            name: Up
        hours_to_show: 2
        name: Internet
        points_per_hour: 30
        type: 'custom:mini-graph-card'
    title: Admin
  - cards:
      - artwork: cover
        entity: media_player.kitchenpi
        hide:
          power_state: false
          source: true
          volume: true
        icon: 'mdi:spotify'
        type: 'custom:mini-media-player'
    title: Test
